Subject: Re: nfsd, v4: oops in find_acceptable_alias, ppc32 Linux, post-2.6.27-rc1

From: Michael Ellerman <[email-masked]>
Date: Tue, 05 Aug 2008 21:53:39 +1000

On Tue, 2008-08-05 at 21:43 +1200, Paul Collins wrote:
> Michael Ellerman <[email-masked]> writes:
> 
> > I see you have FTRACE enabled. That's new and could potentially bugger
> > things up without the compiler knowing, so can you turn that off.
> 
> With FTRACE disabled, doing cross-builds from the 2.6.26 amd64 client, a
> setup that normally triggers the problem on the 2nd or 3rd build, I was
> able to do 10 complete builds.  ("make clean oldconfig vmlinux modules")
> 
> So it looks like ftrace is the cause, or at least provokes some other
> usually-latent problem.  I wasn't using it, so I'll just leave it off.

OK, that's sort of good, but also not. I can't see anything in the
ftrace code that explains it, but I guess it's lurking. We'll try and
reproduce locally and bang on it.

Thanks for chasing it, and let us know if you get an oops with
CONFIG_FTRACE=n.

> > And can you enable CONFIG_CODE_PATCHING_SELFTEST and
> > CONFIG_FTR_FIXUP_SELFTEST, that will enable tests of some code I changed
> > that /could/ (maybe) cause random blow ups.
> 
> With those options enabled, I get this:
> 
>   Running code patching self-tests ...
>   Running feature fixup self-tests ...

That's good, they only print if they fail.

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person